%define rev r42162
%define oname WebKit
# may be curl or soup
%define http_backend soup
# may be freetype or pango
%define font_backend pango
%def_enable gnomekeyring
%define _libexecdir %_prefix/libexec

Summary: Web browser engine
Name: libwebkit
Version: 1.1.4
Release: alt1.%rev
License: %bsd %lgpl2plus
Group: System/Libraries
Source0: %oname-%version.tar
Url: http://www.webkit.org/
Packager: Alexey Shabalin <shaba@altlinux.ru>
Provides: webkitgtk = %version-%release
Provides: %name-gtk = %version-%release
# find requires hack
Provides: %name-1.0.so.2.2.0
Obsoletes: libwebkit-gtk <= %version

Patch0: WebKit-alt-plugins.patch

BuildPreReq: rpm-build-licenses

%if %http_backend == soup
Requires: libsoup
BuildPreReq: libsoup-devel >= 2.25.91
%else
BuildPreReq: libcurl-devel >= 7.15
%endif

%if %font_backend == pango
BuildPreReq: libpango-devel
%else
BuildPreReq: libcairo-devel fontconfig-devel libfreetype-devel
%endif

# Automatically added by buildreq on Thu Aug 21 2008
BuildRequires: gcc-c++ gnome-vfs-devel gperf gst-plugins-devel libXt-devel libcurl-devel libgtk+2-devel libicu-devel libjpeg-devel libsqlite3-devel libxslt-devel perl-Switch

BuildRequires: flex >= 2.5.33
%{?_enable_gnomekeyring:BuildRequires: libgnome-keyring-devel >= 2.26.0}
BuildRequires: libxml2-devel libpng-devel
BuildRequires: librsvg-devel >= 2.2.0
BuildRequires: gtk-doc

%description
WebKit is an open source web browser engine.
The GTK+ port of WebKit is intended to provide a browser component
primarily for users of the portable GTK+ UI toolkit on platforms like
Linux.

%package devel
Summary: Development files for WebKit GTK+ port
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Provides: webkitgtk-devel = %version-%release
Provides: %name-gtk-devel = %version-%release
Obsoletes: libwebkit-gtk-devel <= %version

%description devel
The GTK+ port of WebKit is intended to provide a browser component
primarily for users of the portable GTK+ UI toolkit on platforms like
Linux. This package contains development headers.

%package gtklauncher
Summary: GtkWebKit example application
Group: Development/GNOME and GTK+

%description gtklauncher
GtkLauncher is an example application for WebKit GTK+.

%package jsc
Summary: JavaScriptCore shell for WebKit GTK+
Group: Development/GNOME and GTK+

%description jsc
jsc is a shell for JavaScriptCore, WebKit's JavaScript engine. It
allows you to interact with the JavaScript engine directly.

%package webinspector
Summary: Data files for WebKit GTK+'s Web Inspector
Group: Development/GNOME and GTK+

%description webinspector
WebKit GTK+ has a feature called the Web Inspector, which allows
detailed analysis of any given page's page source, live DOM hierarchy
and resources. This package contains the data files necessary for Web
Inspector to work.


%prep
%setup -q -n %oname-%version

%patch0 -p1

## We don't like pre-built binaries, especially ones for other OSes.
rm -r WebKitLibraries/{*.a,win/}

%build
./autogen.sh
%configure \
	--enable-video \
	%{subst_enable gnomekeyring} \
	--enable-svg-filters \
	--with-http-backend=%http_backend \
	--with-font-backend=%font_backend
	
%make_build

%install
%make_install DESTDIR=%buildroot install

mkdir -p %buildroot%_libexecdir/%name
./libtool --mode=install install -m755 Programs/GtkLauncher %buildroot%_libexecdir/%name/

%files
%_libdir/*.so.*

%files gtklauncher
%_libexecdir/%name/GtkLauncher

%files jsc
%_bindir/jsc

%files devel
%_libdir/*.so
%_includedir/*
%_pkgconfigdir/*

%files webinspector
%_datadir/webkit-1.0/webinspector

%changelog

* Sun Apr 05 2009 Alexey Shabalin <shaba@altlinux.ru> 1.1.4-alt1.r42162
- nightly builds r42162
- update buildrequires
- build with gnome-keyring support
- thx to shrek@ :
  + fixed plugins path
  + fixed install GtkLauncher

* Fri Jan 16 2009 Alexey Shabalin <shaba@altlinux.ru> 1.1.0-alt1.r39953
- nightly builds 39953
- webinspector package

* Mon Dec 08 2008 Alexey Shabalin <shaba@altlinux.ru> 1.0.3-alt1.r39060
- nightly builds 39090
- drop obsolete post scripts

* Sat Oct 25 2008 Alexey Shabalin <shaba@altlinux.ru> 1.0.2-alt0.3.r37790
- nightly builds 37790
- http_backend soup
- font_backend pango

* Sun Sep 07 2008 Alexey Shabalin <shaba@altlinux.ru> 1.0.2-alt0.2.r36247
- nightly builds 36247

* Mon Sep 01 2008 Alexey Shabalin <shaba@altlinux.ru> 1.0.2-alt0.2.r35933
- nightly builds r35933

* Fri Aug 22 2008 Alexey Shabalin <shaba@altlinux.ru> 1.0.2-alt0.2.r35417
- fix build for x86_64
- define libexecdir as /usr/libexec

* Thu Aug 21 2008 Alexey Shabalin <shaba@altlinux.ru> 1.0.2-alt0.1.r35417
- 1.0.2 (r35704)
- cleanup spec
- rename package from libwebkit-gtk to libwebkit
- add package %name-gtklauncher and %name-jsc

* Tue Mar 11 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.r30716-alt1 
- new version
- libWebKitGtk.so placed into -devel package.
- changed includes dir

* Fri Nov 16 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.r27953-alt1 
- initital build.

